| Apache Ignite C++

Public Member Functions | Friends | List of all members
ignite::Time Class Reference

Time type. More...

`#include <time.h>`

## Public Member Functions
| Time ()
| Default constructor.
| Time (const Time &another)
| Copy constructor. More...
| Time (int64_t ms)
| Constructor. More...
Time & | operator= (const Time &another)
| Copy operator. More...
int64_t | GetMilliseconds () const
| Returns number of milliseconds since 00:00:00 UTC. More...
int64_t | GetSeconds () const
| Returns number of seconds since 00:00:00 UTC. More...

## Friends
bool IGNITE_IMPORT_EXPORT | operator== (const Time &val1, const Time &val2)
| Comparison operator override. More...
bool IGNITE_IMPORT_EXPORT | operator!= (const Time &val1, const Time &val2)
| Comparison operator override. More...
bool IGNITE_IMPORT_EXPORT | operator< (const Time &val1, const Time &val2)
| Comparison operator override. More...
bool IGNITE_IMPORT_EXPORT | operator<= (const Time &val1, const Time &val2)
| Comparison operator override. More...
bool IGNITE_IMPORT_EXPORT | operator> (const Time &val1, const Time &val2)
| Comparison operator override. More...
bool IGNITE_IMPORT_EXPORT | operator>= (const Time &val1, const Time &val2)
| Comparison operator override. More...

## Detailed Description

Time type.

## Constructor & Destructor Documentation

## ◆ Time() [1/2]

ignite::Time::Time | ( | const Time & | another | ) |

Copy constructor.

Parameters

  another | Another instance.

## ◆ Time() [2/2]

ignite::Time::Time | ( | int64_t | ms | ) |

Constructor.

Parameters

  ms | Time in milliseconds since 00:00:00 UTC.

## Member Function Documentation

## ◆ GetMilliseconds()

int64_t ignite::Time::GetMilliseconds | ( |  | ) | const

Returns number of milliseconds since 00:00:00 UTC.

Returns
  Number of milliseconds since 00:00:00 UTC.

## ◆ GetSeconds()

int64_t ignite::Time::GetSeconds | ( |  | ) | const

Returns number of seconds since 00:00:00 UTC.

Returns
  Number of seconds since 00:00:00 UTC.

## ◆ operator=()

Time & ignite::Time::operator= | ( | const Time & | another | ) |

Copy operator.

Parameters

  another | Another instance.

Returns
  This.

## Friends And Related Function Documentation

## ◆ operator!=

bool IGNITE_IMPORT_EXPORT operator!= | ( | const Time & | val1,
|  | const Time & | val2
| ) |  |
| friend

Comparison operator override.

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if not equal.

## ◆ operator<

bool IGNITE_IMPORT_EXPORT operator< | ( | const Time & | val1,
|  | const Time & | val2
| ) |  |
| friend

Comparison operator override.

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if less.

## ◆ operator<=

bool IGNITE_IMPORT_EXPORT operator<= | ( | const Time & | val1,
|  | const Time & | val2
| ) |  |
| friend

Comparison operator override.

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if less or equal.

## ◆ operator==

bool IGNITE_IMPORT_EXPORT operator== | ( | const Time & | val1,
|  | const Time & | val2
| ) |  |
| friend

Comparison operator override.

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if equal.

## ◆ operator>

bool IGNITE_IMPORT_EXPORT operator> | ( | const Time & | val1,
|  | const Time & | val2
| ) |  |
| friend

Comparison operator override.

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if gretter.

## ◆ operator>=

bool IGNITE_IMPORT_EXPORT operator>= | ( | const Time & | val1,
|  | const Time & | val2
| ) |  |
| friend

Comparison operator override.

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if gretter or equal.

The documentation for this class was generated from the following files:

- time.h
- time.cpp